The launch checklist: connect, a tier, member emails, the upgrade page, a test checkout, the live key
GET
/api/v1/workspaces/{workspace}/earn/checklist
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/earn/checklist"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/earn/checklist';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/earn/checklist \ --header 'Authorization: Bearer <token>'Permission: earn:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
Responses
Section titled “Responses”OK
Media typeapplication/json
object
canEdit
required
boolean
canManage
required
boolean
done
required
integer format: int64
launched
required
boolean
steps
required
Array<object>
object
account
string
at
string format: date-time
blocked
string
count
integer format: int64
detail
string
done
required
boolean
key
required
string
mode
string
name
string
priceLine
string
total
integer format: int64
testCheckoutUrl
string
testCheckouts
required
Array<object>
object
accessPaused
required
boolean
amountCents
required
integer format: int64
cancelAt
string format: date-time
cancelReason
string
contactId
required
string
currency
required
string
discount
object
amountCents
required
integer format: int64
duration
string
endsAt
string format: date-time
label
required
string
percent
number format: double
email
required
string
endReason
string
giftFrom
string
giftMonths
integer format: int64
hidden
required
boolean
id
required
string
kind
required
string
legacy
required
boolean
ltvCents
required
integer format: int64
name
required
string
next
required
string
nextAt
string format: date-time
period
required
string
periodShown
required
boolean
refundedCents
required
integer format: int64
since
required
string format: date-time
source
required
object
campaignId
string
grantedBy
string
importId
string
kind
required
string
label
required
string
platform
string
reason
string
status
required
string
test
required
boolean
tier
required
string
tierId
string
tierName
required
string
upgradeHost
required
string
Example
{ "steps": [ { "blocked": "no_route", "key": "connect" } ], "testCheckouts": [ { "kind": "stripe", "next": "renews", "period": "month", "source": { "kind": "campaign" }, "status": "trialing" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}